Skip to main content
DELETE
/
organisation
/
balances
/
paye-payments
/
{taxYear}
/
payment
/
{paymentId}
Delete a PAYE payment for a specific tax year, period, and payment ID
curl --request DELETE \
  --url https://api.sandbox.flowpayroll.ai/v1/organisation/balances/paye-payments/{taxYear}/payment/{paymentId} \
  --header 'X-Auth-Token: <api-key>'
{
  "message": {
    "text": "<string>",
    "token": "<string>",
    "tokenArguments": [
      {
        "name": "<string>",
        "value": "<string>"
      }
    ]
  },
  "content": {
    "data": {},
    "metadata": {
      "dateFormat": "yyyy-MM-dd",
      "dateTimeFormat": "yyyy-MM-ddTHH:mm:ss.fffZ",
      "paginationToken": "<string>"
    }
  },
  "validationIssues": [
    {
      "field": "<string>",
      "reason": "<string>",
      "reasonToken": "<string>",
      "reasonTokenArguments": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "messageToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Access token obtained from OAuth2 client credentials flow

Path Parameters

taxYear
integer
required

The tax year for the payment

Required range: 1800 <= x <= 3000
paymentId
string
required

The unique identifier of the payment to delete

Response

Successfully deleted PAYE payment

message
object
content
object
validationIssues
object[]
messageToken
string